/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef CRASH_INFO_H_
#define CRASH_INFO_H_

#include <unistd.h>
#include <QByteArray>

namespace crash_collection
{

class CrashInfo
{
public:
    CrashInfo() = default;
    ~CrashInfo() = default;

    QByteArray getPid(void);
    void setPid(QByteArray pid);

    QByteArray getSignal(void);
    void setSignal(QByteArray signal);

    QByteArray getArch(void);
    void setArch(QByteArray arch);

    QByteArray getCmd(void);
    void setCmd(QByteArray cmd);

    QByteArray getBinPath(void);
    void setBinPath(QByteArray binPath);

    QByteArray getTime(void);
    void setTime(QByteArray time);

    QByteArray getBackTrace(void);
    void setBackTrace(QByteArray backTrace);

    QByteArray getPackageName(void);
    void setPackageName(QByteArray packageName);

    QByteArray getPackageVersion(void);
    void setPackageVersion(QByteArray packageVersion);

    QByteArray getPackageDepends(void);
    void setPackageDepends(QByteArray packageDepends);

private:
    QByteArray m_pid;
    QByteArray m_signal;
    QByteArray m_arch;
    QByteArray m_cmd;
    QByteArray m_binPath;
    QByteArray m_time;
    QByteArray m_backTrace;
    QByteArray m_packageName;
    QByteArray m_packageVersion;
    QByteArray m_packageDepends;
};

} // namespace crash_collection

#endif