/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "crash_interface.h"

namespace crash_collection
{

CrashInterface::CrashInterface()
{
    connect(&m_collection, &Collection::collected, this, &CrashInterface::crashed);
}

CrashInterface::~CrashInterface() = default;

void CrashInterface::setCollect(void)
{
    m_collection.m_watcher.setWatch(true);

    return;
}

void CrashInterface::setUnCollect(void)
{
    m_collection.m_watcher.setWatch(false);

    return;
}

} // namespace crash_collection