/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef CRASH_CRASH_INTERFACE_H_
#define CRASH_CRASH_INTERFACE_H_

#include <QObject>

#include "collection.h"

namespace crash_collection
{

class CrashInterface : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "com.kylin.os.manager.daemon.crash")
public:
    CrashInterface();
    ~CrashInterface();

Q_SIGNALS:
    void crashed(QString path);

public Q_SLOTS:
    void setCollect(void);
    void setUnCollect(void);

private:
    Collection m_collection;
};

} // namespace crash_collection

#endif