/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef WATCHER_H_
#define WATCHER_H_

#include <QFileSystemWatcher>
#include <QString>
#include <QList>

namespace crash_collection
{

class Watcher : public QObject
{
    Q_OBJECT

public:
    Watcher();
    ~Watcher();

    void setWatch(bool flag);

Q_SIGNALS:
    void crashPid(pid_t pid);

private Q_SLOTS:
    void watcherCallback(void);

private:
    bool setWatcherPath(QString path);
    QList<QString> getIncreaseFile(void);
    QList<QString> getFileList(void);

    QFileSystemWatcher m_fileSystemWatcher;
    QList<QString> m_fileList;
};

} // namespace crash_collection

#endif