/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "netcheckentr.h"
#include "netcheckwidget.h"
#include "mainwindow.h"
#include <QTranslator>

NetcheckEntr::~NetcheckEntr() {}

std::string NetcheckEntr::name()
{
    return "Plugin-IssusRepair";
}

std::string NetcheckEntr::nameCN()
{
    return "";
}

std::string NetcheckEntr::description()
{
    return "";
}

QWidget *NetcheckEntr::createWidget()
{
    QString tranPath("/usr/share/kylin-os-manager/translations/");
    QTranslator *tran = new QTranslator;
    if (tran->load(QLocale(), QString("kylin-netcheck-tools"), QString("_"), tranPath)) {
        QApplication::installTranslator(tran);
    } else {
        qWarning() << "NetcheckEntr::createWidget load translation file fail!";
    }
    NetCheckWidget *widget = new NetCheckWidget();
    //    MainWindow *widget = new MainWindow();
    return widget;
}

KyManagerPlugin *PluginProvider::create() const
{
    return new NetcheckEntr();
}
