/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef CLEARTRASH_H
#define CLEARTRASH_H

#include <QObject>
#include <QStringList>

namespace KylinRubbishClear
{

class ClearTrash : public QObject
{
    Q_OBJECT
public:
    explicit ClearTrash(QObject *parent = nullptr);

    void checkButtonTrashEmpty();
    void deleteContents(const QString path);
    QStringList scanTrash();
    QStringList scanTrashFiles();
    quint64 getDirSize(const QString path);
    void getFileInfoMsg(const QString path);
    QStringList getFileList(const QString path);

private:
    QStringList mListTrash;
    QStringList mListTrashFiles;
signals:
};

} // namespace KylinRubbishClear


#endif // CLEARTRASH_H
