/*
 * kylin-os-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef PLUGININTERFACE_H
#define PLUGININTERFACE_H

#include <QObject>
#include <kymanager_plugin.h>

class PluginInterface : public KyManagerPlugin
{

public:
    virtual ~PluginInterface();

    /* 返回插件名 */
    virtual std::string name();

    /* 返回插件中文名 */
    virtual std::string nameCN();

    /* 返回插件描述 */
    virtual std::string description();

    /* 插件界面指针 */
    virtual QWidget *createWidget();
};

class PluginProvider : public KyManagerPluginProvider
{
public:
    KyManagerPlugin *create() const;
};

#endif // PLUGININTERFACE_H
